Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class CommonSecurityLoggerSpiImpl

    java.lang.Object
      weblogic.security.service.CommonSecurityLoggerSpiImpl

All Implemented Interfaces:
  com.bea.common.logger.spi.LoggerSpi

    public class CommonSecurityLoggerSpiImpl

extends Object
implements com.bea.common.logger.spi.LoggerSpi

Constructor Summary
`CommonSecurityLoggerSpiImpl(Logger logger, weblogic.diagnostics.debug.DebugLogger debugLogger)`

Method Summary
`void` | `debug(Object msg)`
`void` | `debug(Object msg, Throwable th)`
`void` | `error(Object msg)`
`void` | `error(Object msg, Throwable th)`
`void` | `info(Object msg)`
`void` | `info(Object msg, Throwable th)`
`boolean` | `isDebugEnabled()`
`void` | `severe(Object msg)`
`void` | `severe(Object msg, Throwable th)`
`void` | `warn(Object msg)`
`void` | `warn(Object msg, Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonSecurityLoggerSpiImpl

    public CommonSecurityLoggerSpiImpl(Logger logger,
                                       weblogic.diagnostics.debug.DebugLogger debugLogger)

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `com.bea.common.logger.spi.LoggerSpi`

### debug

    public void debug(Object msg)

  Specified by:
    `debug` in interface `com.bea.common.logger.spi.LoggerSpi`

### debug

    public void debug(Object msg,
                      Throwable th)

  Specified by:
    `debug` in interface `com.bea.common.logger.spi.LoggerSpi`

### info

    public void info(Object msg)

  Specified by:
    `info` in interface `com.bea.common.logger.spi.LoggerSpi`

### info

    public void info(Object msg,
                     Throwable th)

  Specified by:
    `info` in interface `com.bea.common.logger.spi.LoggerSpi`

### warn

    public void warn(Object msg)

  Specified by:
    `warn` in interface `com.bea.common.logger.spi.LoggerSpi`

### warn

    public void warn(Object msg,
                     Throwable th)

  Specified by:
    `warn` in interface `com.bea.common.logger.spi.LoggerSpi`

### error

    public void error(Object msg)

  Specified by:
    `error` in interface `com.bea.common.logger.spi.LoggerSpi`

### error

    public void error(Object msg,
                      Throwable th)

  Specified by:
    `error` in interface `com.bea.common.logger.spi.LoggerSpi`

### severe

    public void severe(Object msg)

  Specified by:
    `severe` in interface `com.bea.common.logger.spi.LoggerSpi`

### severe

    public void severe(Object msg,
                       Throwable th)

  Specified by:
    `severe` in interface `com.bea.common.logger.spi.LoggerSpi`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD